Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node_from_uri_string

## Name

librdf_new_node_from_uri_string -- Constructor - create a new librdf_node object from a URI string

## Synopsis

``librdf_node* `librdf_new_node_from_uri_string`` (librdf_world * `world`, const char * `uri_string`);`

## Arguments

`world`

  redland world object

`uri_string`

  string representing a URI

## Return value

a new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_node | Up | librdf_new_node_from_uri